应用IDE升级到Canary2之后,版本号报错ohpm ERROR : Found exception: Error

应用IDE升级到Canary2之后,版本号报错ohpm ERROR : Found exception: Error : The version xxxxx of dependecy xxxx

HarmonyOS
2024-06-13 11:30:51
浏览
收藏 0
回答 1
待解决
回答 1
按赞同
/
按时间
Heiang

之前本地依赖冲突时是随机安装的没有检查实际版本号,现在加上这个逻辑这个版本号就必须要校验。

当本地文件(.har或.tgz后缀)依赖之间、本地源码模块依赖之间、本地文件(.har或.tgz后缀)依赖与本地源码模块依赖之间出现冲突时,ohpm自动冲突处理机制会比较该依赖内部oh-package.json5文件中version字段配置的版本号大小,版本号大的将会被安装。

分享
微博
QQ
微信
回复
2024-06-13 22:54:22
相关问题
android 应用升级到鸿蒙应用
1551浏览 • 0回复 待解决
如何获取App版本号版本名等信息
1807浏览 • 1回复 待解决
如何使hsp包版本号统一
282浏览 • 0回复 待解决
stage模型怎么获取app的版本号信息
612浏览 • 1回复 待解决
如何查看手机支持的版本号
6364浏览 • 1回复 待解决
安卓app如何判断鸿蒙系统及版本号
1401浏览 • 1回复 待解决
报错Error while Deploying HAP。
10603浏览 • 2回复 待解决
冷启动报错Error message
632浏览 • 1回复 待解决